Subject: Re: Cannot compile my first Cygwin program
From: jblazi <[email-masked]>
To: "Elfyn McBratney" <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Oct 2002 00:11:08 +0100

On Tuesday 29 October 2002 22:57, Elfyn McBratney wrote:
> Try this instead:
>
> gcc -I/cygwin/usr/include test.c -o test.exe
>
> or
>
> gcc test.c -o test.exe -I/cygwin/usr/include

So I did and now I receive a different set of error messages:

d:\cygwin\home\Administrator\c-programme>gcc -I/cygwin/usr/include test.cpp -o 
test
gcc -I/cygwin/usr/include test.cpp -o test
In file included from test.cpp:1:
\cygwin\usr\include\stdio.h:34: stddef.h: No such file or directory
\cygwin\usr\include\stdio.h:37: stdarg.h: No such file or directory
In file included from \cygwin\usr\include\sys\reent.h:14,
                 from \cygwin\usr\include\stdio.h:45,
                 from test.cpp:1:
\cygwin\usr\include\sys\_types.h:22: stddef.h: No such file or directory
In file included from \cygwin\usr\include\stdio.h:46,
                 from test.cpp:1:
\cygwin\usr\include\sys\types.h:59: stddef.h: No such file or directory

> (by the way you don't need to add the .exe on the exec filename. and just
> out of curiousity do you mean / instead of /cygwin?)

I do not undertsnad what you mean. I installed Cygwin into d:\cygwin.

> Dont know what the hell that means, can you post your source code?

The source code is something like

#include <stdio.h>

main()
{
  printf("Hello world\n");
  return 0;
}

(The problem is that I hav no infrastructure on Windows so I change to Linux 
to answer my mails and then change back to Windows.)
-- 
Janos Blazi

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/